package com.uas.finance.erp.model;

import com.uas.finance.model.Shareholders;

/**
 * 股东信息表
 * created by shicr on 2017/12/18
 **/
public class ShareholdersInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 股东名称
     */
    private String cs_name;

    /**
     * 证件类型
     */
    private String cs_paperstype;

    /**
     * 证件号码
     */
    private String cs_paperscode;

    /**
     * 出资比例（%）
     */
    private Double cs_investratio;

    /**
     *实际投资金额
     */
    private Double cs_investamount;

    /**
     * 企业UU
     * @return
     */
    private Long enuu;

    public String getCs_name() {
        return cs_name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setCs_name(String cs_name) {
        this.cs_name = cs_name;
    }

    public String getCs_paperstype() {
        return cs_paperstype;
    }

    public void setCs_paperstype(String cs_paperstype) {
        this.cs_paperstype = cs_paperstype;
    }

    public String getCs_paperscode() {
        return cs_paperscode;
    }

    public void setCs_paperscode(String cs_paperscode) {
        this.cs_paperscode = cs_paperscode;
    }

    public Double getCs_investratio() {
        return cs_investratio;
    }

    public void setCs_investratio(Double cs_investratio) {
        this.cs_investratio = cs_investratio;
    }

    public Double getCs_investamount() {
        return cs_investamount;
    }

    public void setCs_investamount(Double cs_investamount) {
        this.cs_investamount = cs_investamount;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public ShareholdersInfo(com.uas.finance.model.Shareholders shareholders) {
        this.id = shareholders.getId();
        this.cs_investamount = shareholders.getCs_investamount();
        this.cs_investratio = shareholders.getCs_investratio();
        this.cs_name = shareholders.getCs_name();
        this.cs_paperscode = shareholders.getCs_paperscode();
        this.cs_paperstype = shareholders.getCs_paperstype();
        this.enuu = shareholders.getEnuu();
    }

    public ShareholdersInfo() {

    }
}
